| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_ulp
Stable extensions

Include <glm/gtc/ulp.hpp> to use the features of this extension. More...

## Functions
template<typename T >
GLM_FUNC_DECL uint | float_distance (T const &x, T const &y)
| Return the distance in the number of ULP between 2 scalars. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, uint, Q > | float_distance (vec< 2, T, Q > const &x, vec< 2, T, Q > const &y)
| Return the distance in the number of ULP between 2 vectors. More...
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType const &x)
| Return the next ULP value(s) after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType const &x, uint const &Distance)
| Return the value(s) ULP distance after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType const &x)
| Return the previous ULP value(s) before the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType const &x, uint const &Distance)
| Return the value(s) ULP distance before the input value(s). More...

## Detailed Description

Include <glm/gtc/ulp.hpp> to use the features of this extension.

Allow the measurement of the accuracy of a function against a reference implementation. This extension works on floating-point data and provide results in ULP.

## Function Documentation

GLM_FUNC_DECL uint glm::float_distance | ( | T const & | x,
|  | T const & | y
| ) |  |

Return the distance in the number of ULP between 2 scalars.

See also
  GLM_GTC_ulp

GLM_FUNC_DECL vec<2, uint, Q> glm::float_distance | ( | vec< 2, T, Q > const & | x,
|  | vec< 2, T, Q > const & | y
| ) |  |

Return the distance in the number of ULP between 2 vectors.

See also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::next_float | ( | genType const & | x | ) |

Return the next ULP value(s) after the input value(s).

See also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::next_float | ( | genType const & | x,
|  | uint const & | Distance
| ) |  |

Return the value(s) ULP distance after the input value(s).

See also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::prev_float | ( | genType const & | x | ) |

Return the previous ULP value(s) before the input value(s).

See also
  GLM_GTC_ulp

GLM_FUNC_DECL genType glm::prev_float | ( | genType const & | x,
|  | uint const & | Distance
| ) |  |

Return the value(s) ULP distance before the input value(s).

See also
  GLM_GTC_ulp